time(1).
time(2).
time(3).
time(4).
time(5).
time(6).
time(7).
time(8).
time(9).
time(10).
time(11).
time(12).
time(13).
time(14).
time(15).
time(16).
time(17).
time(18).
empty(3,1).
empty(4,1).
empty(5,1).
full(3,2).
empty(4,2).
empty(5,2).
full(1,3).
empty(2,3).
full(3,3).
full(4,3).
empty(5,3).
empty(6,3).
empty(7,3).
full(1,4).
empty(2,4).
empty(3,4).
full(4,4).
full(5,4).
full(6,4).
full(7,4).
empty(1,5).
empty(2,5).
empty(3,5).
empty(4,5).
full(5,5).
full(6,5).
empty(7,5).
full(3,6).
full(4,6).
empty(5,6).
empty(3,7).
empty(4,7).
empty(5,7).
